Subject: Re: cygwin sshd / using USB ports (TCP forwarding over USB)
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 10 Mar 2004 23:17:44 -0800

[email-masked] wrote:

>   I was wondering whether there is a way to get cygwin apps
> to use USB ports.
> 
>   I have two Windows XP computers I need to hookup. On the
> "server" (which has connectivity to internet) I don't have
> admin rights, so I can't setup IPs. I can open TCP ports on
> localhsot as a user, though, and I can plug stuff into USB
> ports.
> 
>   As worst-case scenario, I might be able to convert the
> other machine (the "client") into a Linux box - would that
> help ?
> 
>   I was hoping to do TCP-port forwarding using an ssh/sshd
> over a USB port. (Essentially I was hoping to get ssh/sshd
> to open the USB as a tty - I guess.)
> 
>   Any ideas on how could I port-forward over USB (Even if
> without SSH) ?

I have never heard of anyone implementing TCP/IP directly over USB, I'm
not even sure it's possible -- certainly not with Cygwin.  I don't even
think you can connect two USB hosts directly like that because it's a
master-slave kind of protocol.

The closest you will come would be two USB ethernet adapters and a
crossover cable.  But if you don't have administrator rights on one
machine I doubt you'll be able to bring up another interface.

If you just want to transfer stuff, go down to Office Depot or whatever
and get one of those "PC to PC backup" apps.  They let you move files
between PCs using serial, parallel, or USB (with adaptor.)

However, all of this discussion (except for ssh port forwarding) is very
much off topic for this list.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/